package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.entity.players.Knight;
import org.project.entity.players.Player;
import org.project.item.weapons.Weapon;


public abstract class Enemy  implements Entity {
    Weapon weapon;
    private int hp;
    private int mp;

    public Enemy(int hp, int mp, Weapon weapon) {
        this.hp = hp;
        this.mp = mp;

        this.weapon = weapon;
    }

    @Override
    public void takeDamage(int damage) {
        hp -= damage;
    }

    public int getHp() {
        return hp;
    }

    public int getMp() {
        return mp;
    }

    public Weapon getWeapon() {
        return weapon;
    }

    private boolean checkTargetAbility(Player target) {
        if (target instanceof Knight) {
            boolean check = target.getUsingSpecialAbility();
            return check;
        }
        return false;
    }
}

